org.apache.ignite.ml.util.generators.standard

## Class RegressionDataStream

- java.lang.Object
- - org.apache.ignite.ml.util.generators.standard.RegressionDataStream

- All Implemented Interfaces:
    DataStreamGenerator

      public class RegressionDataStream
      extends Object
      implements DataStreamGenerator

  Represents a generator of regression data stream based on Vector->Double function where each Vector was produced from hypercube with sides = [minXValue, maxXValue].

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `FILL_CACHE_BATCH_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegressionDataStream(int vectorSize, IgniteFunction<Vector,Double> function, double minXVal, double maxXVal)` Creates an instance of RegressionDataStream.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream<LabeledVector<Double>>` | `labeled()`
    `static RegressionDataStream` | `twoDimensional(IgniteFunction<Double,Double> function, double minXVal, double maxXVal)` Creates two dimensional regression data stream.
    `static RegressionDataStream` | `twoDimensional(IgniteFunction<Double,Double> function, double minXVal, double maxXVal, long seed)` Creates two dimensional regression data stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.DataStreamGenerator

      `asDatasetBuilder, asDatasetBuilder, asDatasetBuilder, asMap, blur, fillCacheWithCustomKey, fillCacheWithVecHashAsKey, fillCacheWithVecUUIDAsKey, labeled, mapVectors, unlabeled`

- - ### Constructor Detail

    - #### RegressionDataStream

          public RegressionDataStream(int vectorSize,
                                      IgniteFunction<Vector,Double> function,
                                      double minXVal,
                                      double maxXVal)

      Creates an instance of RegressionDataStream.
      Parameters:
        `vectorSize` - Vector size.
        `function` - Function.
        `minXVal` - Min x value.
        `maxXVal` - Max x value.

  - ### Method Detail

    - #### labeled

          public Stream<LabeledVector<Double>> labeled()

      Specified by:
        `labeled` in interface `DataStreamGenerator`
      Returns:
        Stream of `LabeledVector` in according to dataset shape.

    - #### twoDimensional

          public static RegressionDataStream twoDimensional(IgniteFunction<Double,Double> function,
                                                            double minXVal,
                                                            double maxXVal)

      Creates two dimensional regression data stream.
      Parameters:
        `function` - Double->double function.
        `minXVal` - Min x value.
        `maxXVal` - Max x value.
      Returns:
        RegressionDataStream instance.

    - #### twoDimensional

          public static RegressionDataStream twoDimensional(IgniteFunction<Double,Double> function,
                                                            double minXVal,
                                                            double maxXVal,
                                                            long seed)

      Creates two dimensional regression data stream.
      Parameters:
        `function` - Double->double function.
        `minXVal` - Min x value.
        `maxXVal` - Max x value.
        `seed` - Seed.
      Returns:
        RegressionDataStream instance.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020